decrypt-dbeaver-configuration(1)

NAME
decrypt-dbeaver-configuration - Decrypt DBeaver Credentials Configuration File

SYNOPSIS
decrypt-dbeaver-configuration encrypted_dbeaver_credentials_config_json plain_dbeaver_credentials_config_json
decrypt-dbeaver-configuration [-h | --help]
decrypt-dbeaver-configuration [-v | --version]

DESCRIPTION
decrypt-dbeaver-configuration decrypts an encrypted DBeaver credentials configuration file. "-" can be used as placeholder for /dev/stdin, to read the input file from standard input. "-" can be used as placeholder for /dev/stdout, to write the output file to standard output.

ARGUMENTS
The following arguments may be provided:

encrypted_dbeaver_credentials_config_json
    The input encrypted DBeaver credentials configuration JSON file, or "-" for /dev/stdin.

plain_dbeaver_credentials_config_json
    The output plain-text DBeaver credentials configuration JSON file, or "-" for /dev/stdout.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The decrypt-dbeaver-configuration tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

decrypt-dbeaver-configuration $DBEAVER_DIR/credentials-config.json /dev/stdout

decrypt-dbeaver-configuration $DBEAVER_DIR/credentials-config.json -

decrypt-dbeaver-configuration $DBEAVER_DIR/credentials-config.json plaintext-credentials-config.json

decrypt-dbeaver-configuration --version

decrypt-dbeaver-configuration -h

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh